org.eclipse.microprofile.metrics.test.optional

## Class NameObject

- java.lang.Object
- - org.eclipse.microprofile.metrics.test.optional.NameObject

    public class NameObject
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NameObject(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NameObject

    public NameObject(String name)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`